Data APIs
List Data Apis
GET
python
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Supercharge your AI agents with the Notte CLI and MCP. Use this quickstart prompt for AI.
Supercharge your AI agents with the Notte CLI and MCP. Use this quickstart prompt for AI.
import os
import requests
response = requests.get(
"https://api.notte.cc/data",
headers={"Authorization": f"Bearer {os.environ['NOTTE_API_KEY']}"},
timeout=330,
)
response.raise_for_status()
print(response.json())const response = await fetch("https://api.notte.cc/data", {
method: "GET",
headers: {
Authorization: `Bearer ${process.env.NOTTE_API_KEY}`,
},
signal: AbortSignal.timeout(330_000),
});
if (!response.ok) throw new Error(await response.text());
console.log(await response.json());curl --fail-with-body --max-time 330 --request GET https://api.notte.cc/data \
--header "Authorization: Bearer $NOTTE_API_KEY"[
{
"id": "<string>",
"name": "<string>",
"method": "<string>",
"path": "<string>"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}The access token received from the authorization server in the OAuth 2.0 flow.
Was this page helpful?
import os
import requests
response = requests.get(
"https://api.notte.cc/data",
headers={"Authorization": f"Bearer {os.environ['NOTTE_API_KEY']}"},
timeout=330,
)
response.raise_for_status()
print(response.json())const response = await fetch("https://api.notte.cc/data", {
method: "GET",
headers: {
Authorization: `Bearer ${process.env.NOTTE_API_KEY}`,
},
signal: AbortSignal.timeout(330_000),
});
if (!response.ok) throw new Error(await response.text());
console.log(await response.json());curl --fail-with-body --max-time 330 --request GET https://api.notte.cc/data \
--header "Authorization: Bearer $NOTTE_API_KEY"[
{
"id": "<string>",
"name": "<string>",
"method": "<string>",
"path": "<string>"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Suggestions